Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.util
Class KeepAliveInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--java.io.FilterInputStream
                  |
                  +--org.apache.tools.ant.util.KeepAliveInputStream

public class KeepAliveInputStream
extends java.io.FilterInputStream

Class that can be used to wrap `System.in` without getting anxious about any client closing the stream.

In code-language it means that it is not necessary to do:

     if (out != System.in) {
       in.close();
     }

Since:
  Ant 1.6

Field Summary

Fields inherited from class java.io.FilterInputStream
`in`

Constructor Summary
`KeepAliveInputStream(java.io.InputStream in)`

Method Summary
`void` | `close()` this method does nothing

Methods inherited from class java.io.FilterInputStream
`available, mark, markSupported, read, read, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeepAliveInputStream

    public KeepAliveInputStream(java.io.InputStream in)

Method Detail

### close

    public void close()
               throws java.io.IOException

  this method does nothing

  Overrides:
    `close` in class `java.io.FilterInputStream`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.